<?php
/**
 * Theme Palace widgets inclusion
 *
 * This is the template that includes all custom widgets of Pushpa
 *
 * @package Theme Palace
 * @subpackage Pushpa
 * @since Pushpa 1.0.0
 */

/*

/*
 * Add popular post widget
 */
require get_template_directory() . '/inc/widgets/social-link-widget.php';
require get_template_directory() . '/inc/widgets/most-read-post-widget.php';
require get_template_directory() . '/inc/widgets/trending-post-widget.php';

/*

/**
 * Register widgets
 */
function pushpa_register_widgets() {

	register_widget( 'pushpa_Social_Link' );
	register_widget( 'pushpa_Most_Read_Post' );
	register_widget( 'pushpa_Trending_Post' );

}
add_action( 'widgets_init', 'pushpa_register_widgets' );